Subject: Re: bug#40790: OOM error in graphical installer tests.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 30 Apr 2020 23:10:05 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> Can we throw a little bit more memory at it?  :-)
>
> That's what I did with ae1a0f758 :)

Oh, good.

Next we should of course find out why ‘guix system init’ is consuming so
much memory.  I haven’t tried GC-profiling that yet, but here’s a rough
figure:

--8<---------------cut here---------------start------------->8---
$ GUIX_PROFILING=gc GUIX_PROFILING_EVENTS=exit guix system build -d --no-grafts gnu/system/examples/desktop.tmpl
/gnu/store/2by26x4pvvp9vi1f0lmrq39wqqkj0s0f-system.drv
Garbage collection statistics:
  heap size:        98.80 MiB
  allocated:        548.35 MiB
  GC times:         26
  time spent in GC: 1.84 seconds (36% of user time)
$ guix describe
Generacio 140	Apr 29 2020 19:43:22	(nuna)
  guix 19987f5
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 19987f5efe0acb65918802681f3a18cbb6a07c2a
--8<---------------cut here---------------end--------------->8---

So at first sight, it’s surprising that it couldn’t fit in the VM with
800 MiB of RAM.  Oh well, we’ll see!

Nitpick: please include the canonical bug URL in commit logs rather
than a link to the mailing list, like so:

  Fixes <https://bugs.gnu.org/40790>.

That makes it easier to grep for fixed bugs.

> I didn't have the courage to bisect it, given how long this test
> is. Fixing it, I discovered two more issues:
>
> * "sherpherd services" test was failing because a wrong swap device was
>   used (fixed with be3abf28a).

Good catch!

> * I have some hangs when doing the final testing in marionette. Still
>   trying to understand why.

Oh.

Thank you!

Ludo’.